Index: apbs/src/CMakeLists.txt
===================================================================
--- apbs.orig/src/CMakeLists.txt	2022-05-16 15:59:17.200652011 +0200
+++ apbs/src/CMakeLists.txt	2022-05-16 15:59:17.196651856 +0200
@@ -99,7 +99,7 @@
 #  endforeach()
 #endif()
 
-INSTALL(FILES apbs.h routines.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} COMPONENT headers)
+INSTALL(FILES apbs.h routines.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/apbs COMPONENT headers)
 INSTALL(TARGETS apbs DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT executables)
 
 message(STATUS ${CMAKE_C_FLAGS})
Index: apbs/CMakeLists.txt
===================================================================
--- apbs.orig/CMakeLists.txt	2022-05-16 15:59:17.200652011 +0200
+++ apbs/CMakeLists.txt	2022-05-16 15:59:28.649088180 +0200
@@ -131,7 +131,7 @@
     set(FETK_STATIC_BUILD OFF)
     set(BLA_STATIC OFF)
     set(BUILD_SHARED_LIBS ON)
-    set(CMAKE_SKIP_RPATH OFF)
+    set(CMAKE_SKIP_RPATH ON)
     set(CMAKE_MACOSX_RPATH ON)
     #set(CMAKE_LINK_SEARCH_START_STATIC OFF)
     #set(CMAKE_LINK_SEARCH_END_STATIC OFF)
@@ -387,7 +387,7 @@
     message(STATUS "Building PYGBE")
     add_definitions(-DENABLE_PYGBE)
     #set (Python3_FIND_ABI "OFF" "ANY" "ANY")
-    find_package(Python3 ${PYTHON_VERSION} EXACT REQUIRED COMPONENTS Interpreter Development)
+    find_package(Python3 ${PYTHON_VERSION} REQUIRED COMPONENTS Interpreter Development)
     message(STATUS "******** PYTHON3_VERSION ${Python3_VERSION}")
     message(STATUS "******** PYTHON_INCLUDE_DIRS ${Python3_INCLUDE_DIRS}")
     message(STATUS "******** PYTHON_LIBRARIES ${Python3_LIBRARIES}")
@@ -834,11 +834,11 @@
 ################################################################################
 # Set up additional directories to install                                     #
 ################################################################################
-install(DIRECTORY ${APBS_ROOT}/docs
-        DESTINATION ${CMAKE_INSTALL_DATADIR}
-        COMPONENT docs
-        PATTERN "programmer" EXCLUDE
-        PATTERN "CMakeLists.txt" EXCLUDE)
+#install(DIRECTORY ${APBS_ROOT}/docs
+#        DESTINATION ${CMAKE_INSTALL_DATADIR}
+#        COMPONENT docs
+#        PATTERN "programmer" EXCLUDE
+#        PATTERN "CMakeLists.txt" EXCLUDE)
 
 install(DIRECTORY ${APBS_ROOT}/examples
         DESTINATION ${CMAKE_INSTALL_DATADIR}
Index: apbs/cmake/ImportFETK.cmake
===================================================================
--- apbs.orig/cmake/ImportFETK.cmake	2022-05-16 15:59:17.200652011 +0200
+++ apbs/cmake/ImportFETK.cmake	2022-05-16 15:59:17.196651856 +0200
@@ -14,6 +14,7 @@
 
     if(ENABLE_FETK)
     
+        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${RPC_CFLAGS}")
         if(FETK_FROM_PKG)
 
             set(FETK_BASE_URL "https://github.com/Electrostatics/FETK/releases/download/${FETK_IMPORT_VERSION}")
Index: apbs/tools/python/CMakeLists.txt
===================================================================
--- apbs.orig/tools/python/CMakeLists.txt	2022-05-16 15:59:17.200652011 +0200
+++ apbs/tools/python/CMakeLists.txt	2022-05-16 15:59:17.196651856 +0200
@@ -9,7 +9,7 @@
 
 set(CMAKE_FIND_FRAMEWORK NEVER)
 #set (Python3_FIND_ABI "OFF" "ANY" "ANY")
-find_package(Python3 ${PYTHON_VERSION} EXACT REQUIRED COMPONENTS Interpreter Development)
+find_package(Python3 ${PYTHON_VERSION} REQUIRED COMPONENTS Interpreter Development)
 
 INCLUDE_DIRECTORIES(${Python3_INCLUDE_DIRS})
 message(STATUS "***** Python3 include path is: ${Python3_INCLUDE_DIRS}")
